﻿#language: ru

Функционал: Выпуск смеси

Сценарий: Выпуск смеси. Из 1 танка
	Дано Я подключаюсь под "Киоск"
	И в поле с именем 'Дата' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' 	    |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск смеси'
	Тогда открылось окно 'Выпуск смеси *'
	И в таблице "Задания" я перехожу к строке:
		| 'Ед. изм.' | 'Состояние' | 'N' |
		| 'кг'       | 'Не начато' | '1' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск смеси*'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'Закрыть'
	
Сценарий: Выпуск смеси. Из двух танков
	И в поле с именем 'Дата' я ввожу текст '12.03.2019'
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'    |
		| 'Сырцех' 	    |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Выпуск смеси'
	Тогда открылось окно 'Выпуск смеси *'
	И в таблице "Задания" я перехожу к строке:
		| 'Ед. изм.' | 'Состояние' | 'N' |
		| 'кг'       | 'Не начато' | '3' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '3'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск смеси*'
	И в таблице "Задания" я перехожу к строке:
		| 'Ед. изм.' |  'N' |
		| 'кг'       |  '3' |
	И я нажимаю на кнопку 'Приступить'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'КомандаКалькуляторКоличество'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '7'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Выпуск смеси*'
	И я нажимаю на кнопку 'Закрыть'

Сценарий: 10_milk_scenario.03.001 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT